package intrinsic.mx.effects.effectClasses;

public class MaskEffectInstance extends intrinsic.mx.effects.EffectInstance {

	/** Accessors */
	public intrinsic.Function createMaskFunction;
	public boolean showTarget;
	public double playheadTime;

	/** Variables */
	public double xFrom;
	public double yFrom;
	public intrinsic.Function moveEasingFunction;
	public intrinsic.Function scaleEasingFunction;
	public double xTo;
	public double yTo;
	public double scaleXFrom;
	public double scaleXTo;
	public double scaleYFrom;
	public intrinsic.flash.geom.Rectangle targetArea;
	public double scaleYTo;

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public MaskEffectInstance() {
}

public MaskEffectInstance(Object arg0) {
}


/** Static Methods */

/** Methods */
public native void end();
public native void resume();
public native void play();
public native void pause();
public native void initEffect(intrinsic.flash.events.Event arg0);
public native void finishEffect();
public native void startEffect();
public native void reverse();
public native void stop();

}
